-- paquetage transmetteur srie
-- pkg_tx.vhd

package pkg_tx is 
component compteur is 
   generic ( taille : integer := 8 ) ;
   port ( hor, raz : in bit ;
          compte : buffer integer range 0 to taille - 1 ) ;
end component compteur ;
component dialogue is
   port ( hor, ds, reset, raz : in bit ;
          bfull : buffer bit ; 
          plein : out bit ) ;
end component dialogue ;
component controle is
   port ( hor, reset, plein : in bit ;
          compte : in integer range 0 to 7 ;
          razplein, shi_ld, razreg, razcpt : out bit ) ;
end component controle ;
component latch is 
   port ( ds   : in bit ;
          din  : in bit_vector (7 downto 0) ;
          dout : out bit_vector (7 downto 0) ) ;
end component latch ;
component par_serie is
   port ( hor, raz, shi_ld : in bit ;
          din : in bit_vector (8 downto 0) ;
          sout : out bit ) ;
end component par_serie ;

end package pkg_tx ;

