-- transmetteur srie test bench
-- test_tx.vhd

entity test_tx is
end test_tx ;

architecture micro of test_tx is
   signal datas : bit_vector (7 downto 0) ; -- donnees  mettre
   signal hor, serie, occupe, ds, reset : bit ;
   component ser_tx is
      port ( hor, ds, reset : in bit ;
          din  : in bit_vector(7 downto 0) ;
          bfull: buffer bit ;
          sout : out bit ) ;
      end component ser_tx ;
begin
reset <= '1', '0' after 20 us ; -- initialisation

emetteur : ser_tx port map
               (hor => hor , ds => ds, reset => reset,
                bfull => occupe ,
                sout => serie ,
                din => datas ) ;
horloge : process -- gnrateur de priode 10 us
   begin
      wait for 5 us ;
      hor <= not hor ;
   end process horloge ;

proc : process
   begin
      datas <= X"C3" after 0 ns ;
      ds <= '1' ;       -- fonctionnement en boucle ouverte
      wait for 30 us ;  -- attente
      ds <= '0' ;       -- criture
      wait for 100 ns ; -- fonctionnement en boucle ouverte
      ds <= '1' ;
      datas <= not datas after 10 us ;
      wait for 100 us ; -- attente
      ds <= '0' ;       -- criture
      wait for 100 ns ;
      ds <= '1' ;
      datas <= not datas after 10 us ;
      wait for 200 us ; -- attente
      ds <= '0' ;       -- criture
      wait for 100 ns ;
      ds <= '1' ;
      datas <= not datas after 10 us ;
      loop              -- fonctionnement en boucle ferme
          wait until occupe = '0' ;
          ds <= '0' after 1 us, '1' after 1100 ns;
          datas <= not datas after 10 us ;
      end loop ;
end process proc ;
end micro ;
